Support » Plugin: Enlighter - Customizable Syntax Highlighter » If You Need a Syntax Highlighter, Look No Further

  • I’ve used a number of syntax highlighters over the years, and never found one I was happy with. They either choked on some code, breaking the display of the output, corrupted what was saved via the Visual Editor, or required their own shortcodes, making them less future-proof.

    Enlighter works from the Visual Editor, uses <pre> and <code> tags with classes that make it future-proof, and hasn’t even stumbled on any code I’ve used in it. The developer is very responsive and is actively supporting the plugin.

    I was a little wary at first, because Enlighter is currently using MooTools instead of jQuery, and I didn’t like the idea of loading another javascript library when WordPress already loads jQuery, but apparently the developer is planning on switching to jQuery in an upcoming version of Enlighter, so my only reservation will be gone.

    If you need a code syntax highlighter for WordPress, there’s no point in looking any further. Enlighter is the best.

    11/2/2018 Update
    I’ve just been trying the Beta of WP 5.0 with the Gutenberg block version of Enlighter. Enlighter is fantastic in Gutenberg!

    • This topic was modified 1 year ago by  linux4me2. Reason: Tested with WP 5.0/Gutenberg
  • The topic ‘If You Need a Syntax Highlighter, Look No Further’ is closed to new replies.